corda / net.corda.core.contracts / TransactionType / NotaryChange

# NotaryChange

`class NotaryChange : TransactionType`

A special transaction type for reassigning a notary for a state. Validation does not involve running any contract code, it just checks that the states are unmodified apart from the notary field.

### Types

Builder | `class Builder : TransactionBuilder` A transaction builder that automatically sets the transaction type to NotaryChange and adds the list of participants to the signers set for every input state.

### Constructors

<init> | `NotaryChange()` A special transaction type for reassigning a notary for a state. Validation does not involve running any contract code, it just checks that the states are unmodified apart from the notary field.

### Functions

getRequiredSigners | `fun getRequiredSigners(tx: LedgerTransaction): Set<CompositeKey>` Return the list of public keys that that require signatures for the transaction type. Note: the notary key is checked separately for all transactions and need not be included.
verifyTransaction | `fun verifyTransaction(tx: LedgerTransaction): Unit` Check that the difference between inputs and outputs is only the notary field, and that all required signing public keys are present.

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
verify | `fun verify(tx: LedgerTransaction): Unit` Check that the transaction is valid based on:
verifySigners | `fun verifySigners(tx: LedgerTransaction): Set<CompositeKey>` Check that the list of signers includes all the necessary keys